Bug 107394 - GOOGLE is the default search engine but Mozilla still searches in Netscape search engine
GOOGLE is the default search engine but Mozilla still searches in Netscape se...
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-10-17 14:44 EDT by Julien Olivier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 09:09:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2003-10-17 14:44:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
After installing Fedora Test 3, I tried to make a search in mozilla. And while
GOOGLE was configured as the defaut internet search engine, it used netscape
search engine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open Mozilla
2.Enter something in the URL bar
3.Click on search

Actual Results:  If you've just installed Fedora, it uses Netscape search.

Expected Results:  It should use GOOGLE.

Additional info:

After going to the preferences, I noticed that GOOGLE was actually already
configured as the default search engine. So I selected Netscape, then GOOGLE
and, this time, it used GOOGLE !

Comment 1 Christopher Blizzard 2003-10-21 09:35:29 EDT
Was that with a fresh profile?
Comment 2 Julien Olivier 2003-10-21 10:39:50 EDT
It was at the first launch of Mozilla on a freshly installed Fedora (not an
update). So, I guess it should be a fresh profile.
Comment 3 Julien Olivier 2003-10-21 10:47:55 EDT
I've just created a new user and launched Mozilla. Now, the default internet
search engine in Netscape. And searching uses Netscape as expected. Changing to
Google works too.

So, 2 things:
 - I think the default for new user should be Google instead of Netscape.
 - I don't understand why on the previous user, I could see Google configured as
the default search engine while Netscape was used...

What is the default search engine in Mozilla on Fedora ?
Comment 4 Christopher Blizzard 2003-10-21 11:19:20 EDT
It's supposed to be google.  Looks like I missed a setting somewhere.
Comment 5 Julien Olivier 2003-12-15 12:26:48 EST
Just wanted to add that the bug is also in Mozilla-1.5
Comment 6 Systems Administrator 2004-03-18 18:24:54 EST
This bug appears to also have been introduced in the 1.4.2 redhat linux 9 updates 
just issued.  For an existing user/profile the currently set 'google' search preference 
does not function after update.  However, the workaround of temporarily setting it to 
'netscape search' preference and then setting it back to google, as suggested above, 
appears to fix the problem (at least on two x86 machines).
Comment 7 Colin Charles 2004-06-30 20:44:03 EDT
Is this a bug still around in Fedora Core 2? Doesn't seem to be
reproducible with one of the rawhide snapshots (mozilla-1.6-8) any
Comment 8 Julien Olivier 2004-08-23 04:42:10 EDT
This bug re-appeared after upgrading from FC2 to rawhide, with

Now, clicking on the "search" button uses google, but, in the
preferences, "askjives" is selected...
Comment 9 John Thacker 2006-10-29 09:09:05 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.